# Post

## Create a new access tag

### Parameters:

| Name        | Optional / Required | Data type | Description                                                                                                               | Default |
| ----------- | ------------------- | --------- | ------------------------------------------------------------------------------------------------------------------------- | ------- |
| name        | required            | String    | min. 1 characters, max. 50 characters                                                                                     |         |
| description | required            | String    | min. 1 characters, max. 255 characters                                                                                    |         |
| default     | optional            | String    | yes or no (y or n)                                                                                                        | n       |
| iap         | optional            | String    | yes or no (y or n)                                                                                                        | n       |
| kiosks      | optional            | String    | One or multiple kiosk ids (webkiosk\_123 or webkiosk\_123,appkiosk\_456), values must start with webkiosk\_ or appkiosk\_ |         |

### Demo

&#x20;URL Find your token on - [yumpu.com](https://www.yumpu.com/en/account/profile/api) Token&#x20;

&#x20;name  description&#x20;

#### Optional parameters:

&#x20;default  iap  kiosks&#x20;

Add optional parametersRun request

```
```

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X POST -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" -d "name=accesstag7" -d "description=accesstag7" -d "default=y" -d "iap=y" -d "kiosks=webkiosk_25" "https://api.yumpu.com/2.0/account/access_tag.json"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'name' => 'accesstag7',
    'description' => 'accesstag7',
    'default' => 'y',
    'iap' => 'y',
    'kiosks' => 'webkiosk_25'
);
$newaccessTag = $yumpu->postAccessTag($data);
print_r($newaccessTag);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  name: 'accesstag7',
  description: 'accesstag7',
  default: 'y',
  iap: 'y',
  kiosks: 'webkiosk_25'
};
yumpu.postAccessTag(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String[] params = { "name=accesstag7", "description=accesstag7", "default=y", "iap=y", "kiosks=webkiosk_25"};
System.out.println(y.postAccessTag(params));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```javascript
{
  "access_tag": {
    "id": "pR0VV9tCh5q4ZrEx",
    "create_date": "2015-02-03 11:45:01",
    "update_date": "0000-00-00 00:00:00",
    "name": "accesstag7",
    "description": "accesstag7",
    "default": true,
    "iap": true,
    "kiosks": [
      {
        "id": "25",
        "type": "webkiosk"
      }
    ]
  },
  "state": "success",
  "completed_in": "0.0761"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.yumpu.com/api/access-tag/accesstagpost.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
